# OpalPluginFaxFormatInternal Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for OpalPluginFaxFormatInternal:

[legend]
Collaboration diagram for OpalPluginFaxFormatInternal:
[legend]

## Public Member Functions

| OpalPluginFaxFormatInternal (const PluginCodec_Definition *codec, const char *fmtName, const char *rtpEncodingName, unsigned frameTime, unsigned, time_t timeStamp)
virtual PObject * | Clone () const
virtual bool | IsValidForProtocol (const PString &protocol) const

## Constructor & Destructor Documentation

OpalPluginFaxFormatInternal::OpalPluginFaxFormatInternal | ( | const PluginCodec_Definition * | codec,
|  | const char * | fmtName,
|  | const char * | rtpEncodingName,
|  | unsigned | frameTime,
|  | unsigned | ,
|  | time_t | timeStamp |
| ) |  |  |

Parameters:

  frameTime | rtp encoding name
  timeStamp | RTP units for frameTime (if applicable) timestamp (for versioning)

## Member Function Documentation

virtual PObject* OpalPluginFaxFormatInternal::Clone | ( |  | ) | const`[virtual]`

Reimplemented from OpalMediaFormatInternal.

virtual bool OpalPluginFaxFormatInternal::IsValidForProtocol | ( | const PString & | protocol | ) | const`[virtual]`

Reimplemented from OpalPluginMediaFormatInternal.

The documentation for this class was generated from the following file:

- opalpluginmgr.h